<?php
namespace Options\Db;

use Zend\Db\TableGateway\TableGatewayInterface;

/**
 * Tablica s postavkama.
 *
 * @package Options\Db
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/strig/options
 */
interface OptionsTableInterface extends TableGatewayInterface
{
    /**
     * Vraća postavku s datim imenom.
     *
     * @param string $name
     *
     * @return mixed
     */
    public function getOption(string $name);

    /**
     * Sprema postavku u bazu.
     *
     * @param string $name
     * @param mixed $value
     */
    public function setOption(string $name, $value): void;

    /**
     * Vraća više postavki s datim imenima.
     *
     * @param array $names
     *
     * @return mixed[]
     */
    public function getOptions(array $names): array;
}