<?php
namespace OptionsTest\Mock;

use Options\Form\OptionsForm;
use Options\OptionsProviderInterface;

/**
 * Class MockOptionsProvider
 *
 * @package OptionsTest\ConfigAggregator\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link http://gitlab.ep.local/strig/options
 */
class MockOptionsProvider implements OptionsProviderInterface
{
    /**
     * Vraća imena postavki spremljenih u bazu.
     *
     * @return string[]
     */
    public function getNames(): array
    {
        return [
            'options_1',
            'options_2',
        ];
    }

    /**
     * Vraća zadane postavke.
     *
     * @return mixed[]
     */
    public function getDefaults(): array
    {
        return [
            'options_1' => [
                'param_1' => 'default_1',
                'param_2' => 'default_2',
            ],

            'options_2' => [
                'param_1' => 'default_1',
                'param_2' => 'default_2',
            ],
        ];
    }

    /**
     * Vraća obrasce za postavke definirane u ovom provideru.
     * Ključ je ime postavke, a vrijednost obrazac.
     *
     * @return string[]|OptionsForm[]
     */
    public function getForms(): array
    {
        return [
            'options_1' => MockOptionsForm::class,
        ];
    }
}